<?php

namespace Stuba\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPriceDetailElement ArrayType
 * @subpackage Arrays
 */
class ArrayOfPriceDetailElement extends AbstractStructArrayBase
{
    /**
     * The PriceDetailElement
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Stuba\StructType\PriceDetailElement[]
     */
    public $PriceDetailElement;
    /**
     * Constructor method for ArrayOfPriceDetailElement
     * @uses ArrayOfPriceDetailElement::setPriceDetailElement()
     * @param \Stuba\StructType\PriceDetailElement[] $priceDetailElement
     */
    public function __construct(array $priceDetailElement = array())
    {
        $this
            ->setPriceDetailElement($priceDetailElement);
    }
    /**
     * Get PriceDetailElement value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Stuba\StructType\PriceDetailElement[]|null
     */
    public function getPriceDetailElement()
    {
        return isset($this->PriceDetailElement) ? $this->PriceDetailElement : null;
    }
    /**
     * Set PriceDetailElement value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Stuba\StructType\PriceDetailElement[] $priceDetailElement
     * @return \Stuba\ArrayType\ArrayOfPriceDetailElement
     */
    public function setPriceDetailElement(array $priceDetailElement = array())
    {
        if (is_null($priceDetailElement) || (is_array($priceDetailElement) && empty($priceDetailElement))) {
            unset($this->PriceDetailElement);
        } else {
            $this->PriceDetailElement = $priceDetailElement;
        }
        return $this;
    }
    /**
     * Add item to PriceDetailElement value
     * @throws \InvalidArgumentException
     * @param \Stuba\StructType\PriceDetailElement $item
     * @return \Stuba\ArrayType\ArrayOfPriceDetailElement
     */
    public function addToPriceDetailElement(\Stuba\StructType\PriceDetailElement $item)
    {
        $this->PriceDetailElement[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Stuba\StructType\PriceDetailElement|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Stuba\StructType\PriceDetailElement|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Stuba\StructType\PriceDetailElement|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Stuba\StructType\PriceDetailElement|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Stuba\StructType\PriceDetailElement|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PriceDetailElement
     */
    public function getAttributeName()
    {
        return 'PriceDetailElement';
    }
}
