<?php

namespace Stuba;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'AvailabilitySearch' => '\\Stuba\\StructType\\AvailabilitySearch',
            'AuthorityElement' => '\\Stuba\\StructType\\AuthorityElement',
            'HotelStayDetailsElement' => '\\Stuba\\StructType\\HotelStayDetailsElement',
            'HotelStayDetailsRoomElement' => '\\Stuba\\StructType\\HotelStayDetailsRoomElement',
            'ArrayOfChoice1' => '\\Stuba\\StructType\\ArrayOfChoice1',
            'ChildElement' => '\\Stuba\\StructType\\ChildElement',
            'AdultElement' => '\\Stuba\\StructType\\AdultElement',
            'GuestElement' => '\\Stuba\\StructType\\GuestElement',
            'MoneyElement' => '\\Stuba\\StructType\\MoneyElement',
            'ArrayOfExtraElement' => '\\Stuba\\ArrayType\\ArrayOfExtraElement',
            'ExtraElement' => '\\Stuba\\StructType\\ExtraElement',
            'HotelSearchCriteriaElement' => '\\Stuba\\StructType\\HotelSearchCriteriaElement',
            'ArrayOfInt' => '\\Stuba\\ArrayType\\ArrayOfInt',
            'AvailabilitySearchResponse' => '\\Stuba\\StructType\\AvailabilitySearchResponse',
            'AvailabilitySearchResult' => '\\Stuba\\StructType\\AvailabilitySearchResult',
            'ResponseBase' => '\\Stuba\\StructType\\ResponseBase',
            'HotelAvailabilityElement' => '\\Stuba\\StructType\\HotelAvailabilityElement',
            'HotelElement' => '\\Stuba\\StructType\\HotelElement',
            'HotelRegionElement' => '\\Stuba\\StructType\\HotelRegionElement',
            'AddressElement' => '\\Stuba\\StructType\\AddressElement',
            'GeneralInfoElement' => '\\Stuba\\StructType\\GeneralInfoElement',
            'PhotoElement' => '\\Stuba\\StructType\\PhotoElement',
            'DescriptionElement' => '\\Stuba\\StructType\\DescriptionElement',
            'AmenityElement' => '\\Stuba\\StructType\\AmenityElement',
            'HotelSupplierInfoElement' => '\\Stuba\\StructType\\HotelSupplierInfoElement',
            'EntityPropertyElement' => '\\Stuba\\StructType\\EntityPropertyElement',
            'RatingElement' => '\\Stuba\\StructType\\RatingElement',
            'HotelAvailabilityResultElement' => '\\Stuba\\StructType\\HotelAvailabilityResultElement',
            'HotelAvailabilityRoomElement' => '\\Stuba\\StructType\\HotelAvailabilityRoomElement',
            'TextEnumPair' => '\\Stuba\\StructType\\TextEnumPair',
            'NightElement' => '\\Stuba\\StructType\\NightElement',
            'ArrayOfChoice2' => '\\Stuba\\StructType\\ArrayOfChoice2',
            'ArrayOfUpgradeElement' => '\\Stuba\\ArrayType\\ArrayOfUpgradeElement',
            'UpgradeElement' => '\\Stuba\\StructType\\UpgradeElement',
            'ArrayOfFeeElement' => '\\Stuba\\ArrayType\\ArrayOfFeeElement',
            'FeeElement' => '\\Stuba\\StructType\\FeeElement',
            'ArrayOfMessageElement' => '\\Stuba\\ArrayType\\ArrayOfMessageElement',
            'MessageElement' => '\\Stuba\\StructType\\MessageElement',
            'SupplierErrorsElement' => '\\Stuba\\StructType\\SupplierErrorsElement',
            'DebugInfoElement' => '\\Stuba\\StructType\\DebugInfoElement',
            'TransferAvailabilitySearch' => '\\Stuba\\StructType\\TransferAvailabilitySearch',
            'ArrayOfChoice3' => '\\Stuba\\StructType\\ArrayOfChoice3',
            'TransferAvailabilitySearchResponse' => '\\Stuba\\StructType\\TransferAvailabilitySearchResponse',
            'TransferAvailablitySearchResult' => '\\Stuba\\StructType\\TransferAvailablitySearchResult',
            'TransferAvailabilityElement' => '\\Stuba\\StructType\\TransferAvailabilityElement',
            'TransferAvailabilityResultElement' => '\\Stuba\\StructType\\TransferAvailabilityResultElement',
            'ArrayOfChoice4' => '\\Stuba\\StructType\\ArrayOfChoice4',
            'RequiredBookingInformationElement' => '\\Stuba\\StructType\\RequiredBookingInformationElement',
            'InformationElement' => '\\Stuba\\StructType\\InformationElement',
            'RefreshHotel' => '\\Stuba\\StructType\\RefreshHotel',
            'CreateBookingElement' => '\\Stuba\\StructType\\CreateBookingElement',
            'CreationElement' => '\\Stuba\\StructType\\CreationElement',
            'RefreshHotelResponse' => '\\Stuba\\StructType\\RefreshHotelResponse',
            'RefreshHotelResult' => '\\Stuba\\StructType\\RefreshHotelResult',
            'ArrayOfRefreshedQuote' => '\\Stuba\\ArrayType\\ArrayOfRefreshedQuote',
            'RefreshedQuote' => '\\Stuba\\StructType\\RefreshedQuote',
            'BookingElement' => '\\Stuba\\StructType\\BookingElement',
            'CustomerElement' => '\\Stuba\\StructType\\CustomerElement',
            'HotelBookingElement' => '\\Stuba\\StructType\\HotelBookingElement',
            'BookingSupplierInfoElement' => '\\Stuba\\StructType\\BookingSupplierInfoElement',
            'ArrayOfPartnerSellingPrice' => '\\Stuba\\ArrayType\\ArrayOfPartnerSellingPrice',
            'PartnerSellingPrice' => '\\Stuba\\StructType\\PartnerSellingPrice',
            'ArrayOfPriceDetailElement' => '\\Stuba\\ArrayType\\ArrayOfPriceDetailElement',
            'PriceDetailElement' => '\\Stuba\\StructType\\PriceDetailElement',
            'HotelBookingRoomElement' => '\\Stuba\\StructType\\HotelBookingRoomElement',
            'NightCostElement' => '\\Stuba\\StructType\\NightCostElement',
            'ArrayOfChoice5' => '\\Stuba\\StructType\\ArrayOfChoice5',
            'BookingReferenceElement' => '\\Stuba\\StructType\\BookingReferenceElement',
            'VoucherInfoElement' => '\\Stuba\\StructType\\VoucherInfoElement',
            'TransferBookingElement' => '\\Stuba\\StructType\\TransferBookingElement',
            'TransferEndPoint' => '\\Stuba\\StructType\\TransferEndPoint',
            'TransferSupplierInfo' => '\\Stuba\\StructType\\TransferSupplierInfo',
            'TransferSupplierCode' => '\\Stuba\\StructType\\TransferSupplierCode',
            'TransferVoucherInfo' => '\\Stuba\\StructType\\TransferVoucherInfo',
            'ArrayOfChoice6' => '\\Stuba\\StructType\\ArrayOfChoice6',
            'PaymentElement' => '\\Stuba\\StructType\\PaymentElement',
            'ChargeElement' => '\\Stuba\\StructType\\ChargeElement',
            'BookingCreate' => '\\Stuba\\StructType\\BookingCreate',
            'PaymentDetailsElement' => '\\Stuba\\StructType\\PaymentDetailsElement',
            'CreditCardElement' => '\\Stuba\\StructType\\CreditCardElement',
            'CreateTransferBookingElement' => '\\Stuba\\StructType\\CreateTransferBookingElement',
            'TransferBookingDetailsElement' => '\\Stuba\\StructType\\TransferBookingDetailsElement',
            'ArrayOfChoice7' => '\\Stuba\\StructType\\ArrayOfChoice7',
            'BookingCreateResponse' => '\\Stuba\\StructType\\BookingCreateResponse',
            'BookingCreateResult' => '\\Stuba\\StructType\\BookingCreateResult',
            'HotelDetailsElement' => '\\Stuba\\StructType\\HotelDetailsElement',
            'CancelPolicyElement' => '\\Stuba\\StructType\\CancelPolicyElement',
            'BookingQuery' => '\\Stuba\\StructType\\BookingQuery',
            'QueryParamsElement' => '\\Stuba\\StructType\\QueryParamsElement',
            'BookingQueryResponse' => '\\Stuba\\StructType\\BookingQueryResponse',
            'BookingQueryResult' => '\\Stuba\\StructType\\BookingQueryResult',
            'BookingHCNQuery' => '\\Stuba\\StructType\\BookingHCNQuery',
            'QueryParamsHCNElement' => '\\Stuba\\StructType\\QueryParamsHCNElement',
            'BookingHCNQueryResponse' => '\\Stuba\\StructType\\BookingHCNQueryResponse',
            'BookingHCNResult' => '\\Stuba\\StructType\\BookingHCNResult',
            'HCNElement' => '\\Stuba\\StructType\\HCNElement',
            'HCNHotelBookingElement' => '\\Stuba\\StructType\\HCNHotelBookingElement',
            'HCNHotelBookingRoomElement' => '\\Stuba\\StructType\\HCNHotelBookingRoomElement',
            'ArrayOfChoice8' => '\\Stuba\\StructType\\ArrayOfChoice8',
            'BookingCancel' => '\\Stuba\\StructType\\BookingCancel',
            'BookingCancelResponse' => '\\Stuba\\StructType\\BookingCancelResponse',
            'BookingCancelResult' => '\\Stuba\\StructType\\BookingCancelResult',
            'CustomerAmend' => '\\Stuba\\StructType\\CustomerAmend',
            'CustomerAmendResponse' => '\\Stuba\\StructType\\CustomerAmendResponse',
            'CustomerAmendResult' => '\\Stuba\\StructType\\CustomerAmendResult',
            'RegionSearch' => '\\Stuba\\StructType\\RegionSearch',
            'RegionSearchResponse' => '\\Stuba\\StructType\\RegionSearchResponse',
            'RegionSearchResult' => '\\Stuba\\StructType\\RegionSearchResult',
            'RegionElement' => '\\Stuba\\StructType\\RegionElement',
            'RegionReferenceElement' => '\\Stuba\\StructType\\RegionReferenceElement',
            'ArrayOfRegionElement' => '\\Stuba\\ArrayType\\ArrayOfRegionElement',
            'TransferEndPointSearch' => '\\Stuba\\StructType\\TransferEndPointSearch',
            'TransferEndPointSearchResponse' => '\\Stuba\\StructType\\TransferEndPointSearchResponse',
            'TransferEndPointSearchResult' => '\\Stuba\\StructType\\TransferEndPointSearchResult',
            'TransferEndPointElement' => '\\Stuba\\StructType\\TransferEndPointElement',
            'TransferEndPointRegionElement' => '\\Stuba\\StructType\\TransferEndPointRegionElement',
            'TransferEndPointSupplierInfoElement' => '\\Stuba\\StructType\\TransferEndPointSupplierInfoElement',
            'SupplierCodeElement' => '\\Stuba\\StructType\\SupplierCodeElement',
            'TransferRouteSearch' => '\\Stuba\\StructType\\TransferRouteSearch',
            'TransferRouteSearchResponse' => '\\Stuba\\StructType\\TransferRouteSearchResponse',
            'TransferRouteSearchResult' => '\\Stuba\\StructType\\TransferRouteSearchResult',
            'TransferRouteElement' => '\\Stuba\\StructType\\TransferRouteElement',
            'EndPoint' => '\\Stuba\\StructType\\EndPoint',
            'TransferRouteSupplierInfoElement' => '\\Stuba\\StructType\\TransferRouteSupplierInfoElement',
        );
    }
}
