<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FeeElement StructType
 * @subpackage Structs
 */
class FeeElement extends AbstractStructBase
{
    /**
     * The StartDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StartDate;
    /**
     * The Amount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\MoneyElement
     */
    public $Amount;
    /**
     * The from
     * @var string
     */
    public $from;
    /**
     * Constructor method for FeeElement
     * @uses FeeElement::setStartDate()
     * @uses FeeElement::setAmount()
     * @uses FeeElement::setFrom()
     * @param string $startDate
     * @param \Stuba\StructType\MoneyElement $amount
     * @param string $from
     */
    public function __construct($startDate = null, \Stuba\StructType\MoneyElement $amount = null, $from = null)
    {
        $this
            ->setStartDate($startDate)
            ->setAmount($amount)
            ->setFrom($from);
    }
    /**
     * Get StartDate value
     * @return string|null
     */
    public function getStartDate()
    {
        return $this->StartDate;
    }
    /**
     * Set StartDate value
     * @param string $startDate
     * @return \Stuba\StructType\FeeElement
     */
    public function setStartDate($startDate = null)
    {
        $this->StartDate = $startDate;
        return $this;
    }
    /**
     * Get Amount value
     * @return \Stuba\StructType\MoneyElement|null
     */
    public function getAmount()
    {
        return $this->Amount;
    }
    /**
     * Set Amount value
     * @param \Stuba\StructType\MoneyElement $amount
     * @return \Stuba\StructType\FeeElement
     */
    public function setAmount(\Stuba\StructType\MoneyElement $amount = null)
    {
        $this->Amount = $amount;
        return $this;
    }
    /**
     * Get from value
     * @return string|null
     */
    public function getFrom()
    {
        return $this->from;
    }
    /**
     * Set from value
     * @param string $from
     * @return \Stuba\StructType\FeeElement
     */
    public function setFrom($from = null)
    {
        $this->from = $from;
        return $this;
    }
}
