<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GeneralInfoElement StructType
 * @subpackage Structs
 */
class GeneralInfoElement extends AbstractStructBase
{
    /**
     * The CountRooms
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $CountRooms;
    /**
     * The CountFloors
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $CountFloors;
    /**
     * The CountSuites
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $CountSuites;
    /**
     * The CheckInTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CheckInTime;
    /**
     * The CheckOutTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CheckOutTime;
    /**
     * The Latitude
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var float
     */
    public $Latitude;
    /**
     * The Longitude
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var float
     */
    public $Longitude;
    /**
     * Constructor method for GeneralInfoElement
     * @uses GeneralInfoElement::setCountRooms()
     * @uses GeneralInfoElement::setCountFloors()
     * @uses GeneralInfoElement::setCountSuites()
     * @uses GeneralInfoElement::setCheckInTime()
     * @uses GeneralInfoElement::setCheckOutTime()
     * @uses GeneralInfoElement::setLatitude()
     * @uses GeneralInfoElement::setLongitude()
     * @param int $countRooms
     * @param int $countFloors
     * @param int $countSuites
     * @param string $checkInTime
     * @param string $checkOutTime
     * @param float $latitude
     * @param float $longitude
     */
    public function __construct($countRooms = null, $countFloors = null, $countSuites = null, $checkInTime = null, $checkOutTime = null, $latitude = null, $longitude = null)
    {
        $this
            ->setCountRooms($countRooms)
            ->setCountFloors($countFloors)
            ->setCountSuites($countSuites)
            ->setCheckInTime($checkInTime)
            ->setCheckOutTime($checkOutTime)
            ->setLatitude($latitude)
            ->setLongitude($longitude);
    }
    /**
     * Get CountRooms value
     * @return int|null
     */
    public function getCountRooms()
    {
        return $this->CountRooms;
    }
    /**
     * Set CountRooms value
     * @param int $countRooms
     * @return \Stuba\StructType\GeneralInfoElement
     */
    public function setCountRooms($countRooms = null)
    {
        $this->CountRooms = $countRooms;
        return $this;
    }
    /**
     * Get CountFloors value
     * @return int|null
     */
    public function getCountFloors()
    {
        return $this->CountFloors;
    }
    /**
     * Set CountFloors value
     * @param int $countFloors
     * @return \Stuba\StructType\GeneralInfoElement
     */
    public function setCountFloors($countFloors = null)
    {
        $this->CountFloors = $countFloors;
        return $this;
    }
    /**
     * Get CountSuites value
     * @return int|null
     */
    public function getCountSuites()
    {
        return $this->CountSuites;
    }
    /**
     * Set CountSuites value
     * @param int $countSuites
     * @return \Stuba\StructType\GeneralInfoElement
     */
    public function setCountSuites($countSuites = null)
    {
        $this->CountSuites = $countSuites;
        return $this;
    }
    /**
     * Get CheckInTime value
     * @return string|null
     */
    public function getCheckInTime()
    {
        return $this->CheckInTime;
    }
    /**
     * Set CheckInTime value
     * @param string $checkInTime
     * @return \Stuba\StructType\GeneralInfoElement
     */
    public function setCheckInTime($checkInTime = null)
    {
        $this->CheckInTime = $checkInTime;
        return $this;
    }
    /**
     * Get CheckOutTime value
     * @return string|null
     */
    public function getCheckOutTime()
    {
        return $this->CheckOutTime;
    }
    /**
     * Set CheckOutTime value
     * @param string $checkOutTime
     * @return \Stuba\StructType\GeneralInfoElement
     */
    public function setCheckOutTime($checkOutTime = null)
    {
        $this->CheckOutTime = $checkOutTime;
        return $this;
    }
    /**
     * Get Latitude value
     * @return float|null
     */
    public function getLatitude()
    {
        return $this->Latitude;
    }
    /**
     * Set Latitude value
     * @param float $latitude
     * @return \Stuba\StructType\GeneralInfoElement
     */
    public function setLatitude($latitude = null)
    {
        $this->Latitude = $latitude;
        return $this;
    }
    /**
     * Get Longitude value
     * @return float|null
     */
    public function getLongitude()
    {
        return $this->Longitude;
    }
    /**
     * Set Longitude value
     * @param float $longitude
     * @return \Stuba\StructType\GeneralInfoElement
     */
    public function setLongitude($longitude = null)
    {
        $this->Longitude = $longitude;
        return $this;
    }
}
