<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GuestElement StructType
 * @subpackage Structs
 */
class GuestElement extends AbstractStructBase
{
    /**
     * The Price
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\MoneyElement
     */
    public $Price;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $Id;
    /**
     * The Title
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Title;
    /**
     * The Forename
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Forename;
    /**
     * The Surname
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Surname;
    /**
     * The SellingPrice
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\MoneyElement
     */
    public $SellingPrice;
    /**
     * The id
     * @var int
     */
    public $id;
    /**
     * The title
     * @var string
     */
    public $title;
    /**
     * The first
     * @var string
     */
    public $first;
    /**
     * The last
     * @var string
     */
    public $last;
    /**
     * Constructor method for GuestElement
     * @uses GuestElement::setPrice()
     * @uses GuestElement::setId()
     * @uses GuestElement::setTitle()
     * @uses GuestElement::setForename()
     * @uses GuestElement::setSurname()
     * @uses GuestElement::setSellingPrice()
     * @uses GuestElement::setId_1()
     * @uses GuestElement::setTitle_1()
     * @uses GuestElement::setFirst()
     * @uses GuestElement::setLast()
     * @param \Stuba\StructType\MoneyElement $price
     * @param int $id
     * @param string $title
     * @param string $forename
     * @param string $surname
     * @param \Stuba\StructType\MoneyElement $sellingPrice
     * @param int $id
     * @param string $title
     * @param string $first
     * @param string $last
     */
    public function __construct(\Stuba\StructType\MoneyElement $price = null, $id = null, $title = null, $forename = null, $surname = null, \Stuba\StructType\MoneyElement $sellingPrice = null, $id_1 = null, $title_1 = null, $first = null, $last = null)
    {
        $this
            ->setPrice($price)
            ->setId($id)
            ->setTitle($title)
            ->setForename($forename)
            ->setSurname($surname)
            ->setSellingPrice($sellingPrice)
            ->setId_1($id_1)
            ->setTitle_1($title_1)
            ->setFirst($first)
            ->setLast($last);
    }
    /**
     * Get Price value
     * @return \Stuba\StructType\MoneyElement|null
     */
    public function getPrice()
    {
        return $this->Price;
    }
    /**
     * Set Price value
     * @param \Stuba\StructType\MoneyElement $price
     * @return \Stuba\StructType\GuestElement
     */
    public function setPrice(\Stuba\StructType\MoneyElement $price = null)
    {
        $this->Price = $price;
        return $this;
    }
    /**
     * Get Id value
     * @return int|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \Stuba\StructType\GuestElement
     */
    public function setId($id = null)
    {
        $this->Id = $id;
        return $this;
    }
    /**
     * Get Title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->Title;
    }
    /**
     * Set Title value
     * @param string $title
     * @return \Stuba\StructType\GuestElement
     */
    public function setTitle($title = null)
    {
        $this->Title = $title;
        return $this;
    }
    /**
     * Get Forename value
     * @return string|null
     */
    public function getForename()
    {
        return $this->Forename;
    }
    /**
     * Set Forename value
     * @param string $forename
     * @return \Stuba\StructType\GuestElement
     */
    public function setForename($forename = null)
    {
        $this->Forename = $forename;
        return $this;
    }
    /**
     * Get Surname value
     * @return string|null
     */
    public function getSurname()
    {
        return $this->Surname;
    }
    /**
     * Set Surname value
     * @param string $surname
     * @return \Stuba\StructType\GuestElement
     */
    public function setSurname($surname = null)
    {
        $this->Surname = $surname;
        return $this;
    }
    /**
     * Get SellingPrice value
     * @return \Stuba\StructType\MoneyElement|null
     */
    public function getSellingPrice()
    {
        return $this->SellingPrice;
    }
    /**
     * Set SellingPrice value
     * @param \Stuba\StructType\MoneyElement $sellingPrice
     * @return \Stuba\StructType\GuestElement
     */
    public function setSellingPrice(\Stuba\StructType\MoneyElement $sellingPrice = null)
    {
        $this->SellingPrice = $sellingPrice;
        return $this;
    }
    /**
     * Get Id value
     * @return int|null
     */
    public function getId_1()
    {
        return $this->id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \Stuba\StructType\GuestElement
     */
    public function setId_1($id_1 = null)
    {
        $this->id = $id_1;
        return $this;
    }
    /**
     * Get Title value
     * @return string|null
     */
    public function getTitle_1()
    {
        return $this->title;
    }
    /**
     * Set Title value
     * @param string $title
     * @return \Stuba\StructType\GuestElement
     */
    public function setTitle_1($title_1 = null)
    {
        $this->title = $title_1;
        return $this;
    }
    /**
     * Get first value
     * @return string|null
     */
    public function getFirst()
    {
        return $this->first;
    }
    /**
     * Set first value
     * @param string $first
     * @return \Stuba\StructType\GuestElement
     */
    public function setFirst($first = null)
    {
        $this->first = $first;
        return $this;
    }
    /**
     * Get last value
     * @return string|null
     */
    public function getLast()
    {
        return $this->last;
    }
    /**
     * Set last value
     * @param string $last
     * @return \Stuba\StructType\GuestElement
     */
    public function setLast($last = null)
    {
        $this->last = $last;
        return $this;
    }
}
