<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelStayDetailsRoomElement StructType
 * @subpackage Structs
 */
class HotelStayDetailsRoomElement extends AbstractStructBase
{
    /**
     * The BasicRoomType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $BasicRoomType;
    /**
     * The MealType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $MealType;
    /**
     * The Guests
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\ArrayOfChoice1
     */
    public $Guests;
    /**
     * The Extras
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\ArrayType\ArrayOfExtraElement
     */
    public $Extras;
    /**
     * Constructor method for HotelStayDetailsRoomElement
     * @uses HotelStayDetailsRoomElement::setBasicRoomType()
     * @uses HotelStayDetailsRoomElement::setMealType()
     * @uses HotelStayDetailsRoomElement::setGuests()
     * @uses HotelStayDetailsRoomElement::setExtras()
     * @param string $basicRoomType
     * @param string $mealType
     * @param \Stuba\StructType\ArrayOfChoice1 $guests
     * @param \Stuba\ArrayType\ArrayOfExtraElement $extras
     */
    public function __construct($basicRoomType = null, $mealType = null, \Stuba\StructType\ArrayOfChoice1 $guests = null, \Stuba\ArrayType\ArrayOfExtraElement $extras = null)
    {
        $this
            ->setBasicRoomType($basicRoomType)
            ->setMealType($mealType)
            ->setGuests($guests)
            ->setExtras($extras);
    }
    /**
     * Get BasicRoomType value
     * @return string|null
     */
    public function getBasicRoomType()
    {
        return $this->BasicRoomType;
    }
    /**
     * Set BasicRoomType value
     * @param string $basicRoomType
     * @return \Stuba\StructType\HotelStayDetailsRoomElement
     */
    public function setBasicRoomType($basicRoomType = null)
    {
        $this->BasicRoomType = $basicRoomType;
        return $this;
    }
    /**
     * Get MealType value
     * @return string|null
     */
    public function getMealType()
    {
        return $this->MealType;
    }
    /**
     * Set MealType value
     * @param string $mealType
     * @return \Stuba\StructType\HotelStayDetailsRoomElement
     */
    public function setMealType($mealType = null)
    {
        $this->MealType = $mealType;
        return $this;
    }
    /**
     * Get Guests value
     * @return \Stuba\StructType\ArrayOfChoice1|null
     */
    public function getGuests()
    {
        return $this->Guests;
    }
    /**
     * Set Guests value
     * @param \Stuba\StructType\ArrayOfChoice1 $guests
     * @return \Stuba\StructType\HotelStayDetailsRoomElement
     */
    public function setGuests(\Stuba\StructType\ArrayOfChoice1 $guests = null)
    {
        $this->Guests = $guests;
        return $this;
    }
    /**
     * Get Extras value
     * @return \Stuba\ArrayType\ArrayOfExtraElement|null
     */
    public function getExtras()
    {
        return $this->Extras;
    }
    /**
     * Set Extras value
     * @param \Stuba\ArrayType\ArrayOfExtraElement $extras
     * @return \Stuba\StructType\HotelStayDetailsRoomElement
     */
    public function setExtras(\Stuba\ArrayType\ArrayOfExtraElement $extras = null)
    {
        $this->Extras = $extras;
        return $this;
    }
}
