<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for QueryParamsElement StructType
 * @subpackage Structs
 */
class QueryParamsElement extends AbstractStructBase
{
    /**
     * The BookingId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $BookingId;
    /**
     * The BookingItemId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $BookingItemId;
    /**
     * The HotelStayDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $HotelStayDate;
    /**
     * The HotelStayDateEndRange
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $HotelStayDateEndRange;
    /**
     * The BookingCreatedDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $BookingCreatedDate;
    /**
     * The BookingCreatedDateEndRange
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $BookingCreatedDateEndRange;
    /**
     * The BookingModifiedDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $BookingModifiedDate;
    /**
     * The BookingModifiedDateEndRange
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $BookingModifiedDateEndRange;
    /**
     * The HotelId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $HotelId;
    /**
     * The RegionId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $RegionId;
    /**
     * The Affiliate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Affiliate;
    /**
     * The CustomerName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CustomerName;
    /**
     * The GuestName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $GuestName;
    /**
     * The HotelName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $HotelName;
    /**
     * The RegionName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RegionName;
    /**
     * The Supplier
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Supplier;
    /**
     * The SupplierBookingRef
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $SupplierBookingRef;
    /**
     * Constructor method for QueryParamsElement
     * @uses QueryParamsElement::setBookingId()
     * @uses QueryParamsElement::setBookingItemId()
     * @uses QueryParamsElement::setHotelStayDate()
     * @uses QueryParamsElement::setHotelStayDateEndRange()
     * @uses QueryParamsElement::setBookingCreatedDate()
     * @uses QueryParamsElement::setBookingCreatedDateEndRange()
     * @uses QueryParamsElement::setBookingModifiedDate()
     * @uses QueryParamsElement::setBookingModifiedDateEndRange()
     * @uses QueryParamsElement::setHotelId()
     * @uses QueryParamsElement::setRegionId()
     * @uses QueryParamsElement::setAffiliate()
     * @uses QueryParamsElement::setCustomerName()
     * @uses QueryParamsElement::setGuestName()
     * @uses QueryParamsElement::setHotelName()
     * @uses QueryParamsElement::setRegionName()
     * @uses QueryParamsElement::setSupplier()
     * @uses QueryParamsElement::setSupplierBookingRef()
     * @param int $bookingId
     * @param int $bookingItemId
     * @param string $hotelStayDate
     * @param string $hotelStayDateEndRange
     * @param string $bookingCreatedDate
     * @param string $bookingCreatedDateEndRange
     * @param string $bookingModifiedDate
     * @param string $bookingModifiedDateEndRange
     * @param int $hotelId
     * @param int $regionId
     * @param string $affiliate
     * @param string $customerName
     * @param string $guestName
     * @param string $hotelName
     * @param string $regionName
     * @param string $supplier
     * @param string $supplierBookingRef
     */
    public function __construct($bookingId = null, $bookingItemId = null, $hotelStayDate = null, $hotelStayDateEndRange = null, $bookingCreatedDate = null, $bookingCreatedDateEndRange = null, $bookingModifiedDate = null, $bookingModifiedDateEndRange = null, $hotelId = null, $regionId = null, $affiliate = null, $customerName = null, $guestName = null, $hotelName = null, $regionName = null, $supplier = null, $supplierBookingRef = null)
    {
        $this
            ->setBookingId($bookingId)
            ->setBookingItemId($bookingItemId)
            ->setHotelStayDate($hotelStayDate)
            ->setHotelStayDateEndRange($hotelStayDateEndRange)
            ->setBookingCreatedDate($bookingCreatedDate)
            ->setBookingCreatedDateEndRange($bookingCreatedDateEndRange)
            ->setBookingModifiedDate($bookingModifiedDate)
            ->setBookingModifiedDateEndRange($bookingModifiedDateEndRange)
            ->setHotelId($hotelId)
            ->setRegionId($regionId)
            ->setAffiliate($affiliate)
            ->setCustomerName($customerName)
            ->setGuestName($guestName)
            ->setHotelName($hotelName)
            ->setRegionName($regionName)
            ->setSupplier($supplier)
            ->setSupplierBookingRef($supplierBookingRef);
    }
    /**
     * Get BookingId value
     * @return int
     */
    public function getBookingId()
    {
        return $this->BookingId;
    }
    /**
     * Set BookingId value
     * @param int $bookingId
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setBookingId($bookingId = null)
    {
        $this->BookingId = $bookingId;
        return $this;
    }
    /**
     * Get BookingItemId value
     * @return int
     */
    public function getBookingItemId()
    {
        return $this->BookingItemId;
    }
    /**
     * Set BookingItemId value
     * @param int $bookingItemId
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setBookingItemId($bookingItemId = null)
    {
        $this->BookingItemId = $bookingItemId;
        return $this;
    }
    /**
     * Get HotelStayDate value
     * @return string
     */
    public function getHotelStayDate()
    {
        return $this->HotelStayDate;
    }
    /**
     * Set HotelStayDate value
     * @param string $hotelStayDate
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setHotelStayDate($hotelStayDate = null)
    {
        $this->HotelStayDate = $hotelStayDate;
        return $this;
    }
    /**
     * Get HotelStayDateEndRange value
     * @return string
     */
    public function getHotelStayDateEndRange()
    {
        return $this->HotelStayDateEndRange;
    }
    /**
     * Set HotelStayDateEndRange value
     * @param string $hotelStayDateEndRange
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setHotelStayDateEndRange($hotelStayDateEndRange = null)
    {
        $this->HotelStayDateEndRange = $hotelStayDateEndRange;
        return $this;
    }
    /**
     * Get BookingCreatedDate value
     * @return string
     */
    public function getBookingCreatedDate()
    {
        return $this->BookingCreatedDate;
    }
    /**
     * Set BookingCreatedDate value
     * @param string $bookingCreatedDate
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setBookingCreatedDate($bookingCreatedDate = null)
    {
        $this->BookingCreatedDate = $bookingCreatedDate;
        return $this;
    }
    /**
     * Get BookingCreatedDateEndRange value
     * @return string
     */
    public function getBookingCreatedDateEndRange()
    {
        return $this->BookingCreatedDateEndRange;
    }
    /**
     * Set BookingCreatedDateEndRange value
     * @param string $bookingCreatedDateEndRange
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setBookingCreatedDateEndRange($bookingCreatedDateEndRange = null)
    {
        $this->BookingCreatedDateEndRange = $bookingCreatedDateEndRange;
        return $this;
    }
    /**
     * Get BookingModifiedDate value
     * @return string
     */
    public function getBookingModifiedDate()
    {
        return $this->BookingModifiedDate;
    }
    /**
     * Set BookingModifiedDate value
     * @param string $bookingModifiedDate
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setBookingModifiedDate($bookingModifiedDate = null)
    {
        $this->BookingModifiedDate = $bookingModifiedDate;
        return $this;
    }
    /**
     * Get BookingModifiedDateEndRange value
     * @return string
     */
    public function getBookingModifiedDateEndRange()
    {
        return $this->BookingModifiedDateEndRange;
    }
    /**
     * Set BookingModifiedDateEndRange value
     * @param string $bookingModifiedDateEndRange
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setBookingModifiedDateEndRange($bookingModifiedDateEndRange = null)
    {
        $this->BookingModifiedDateEndRange = $bookingModifiedDateEndRange;
        return $this;
    }
    /**
     * Get HotelId value
     * @return int
     */
    public function getHotelId()
    {
        return $this->HotelId;
    }
    /**
     * Set HotelId value
     * @param int $hotelId
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setHotelId($hotelId = null)
    {
        $this->HotelId = $hotelId;
        return $this;
    }
    /**
     * Get RegionId value
     * @return int
     */
    public function getRegionId()
    {
        return $this->RegionId;
    }
    /**
     * Set RegionId value
     * @param int $regionId
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setRegionId($regionId = null)
    {
        $this->RegionId = $regionId;
        return $this;
    }
    /**
     * Get Affiliate value
     * @return string|null
     */
    public function getAffiliate()
    {
        return $this->Affiliate;
    }
    /**
     * Set Affiliate value
     * @param string $affiliate
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setAffiliate($affiliate = null)
    {
        $this->Affiliate = $affiliate;
        return $this;
    }
    /**
     * Get CustomerName value
     * @return string|null
     */
    public function getCustomerName()
    {
        return $this->CustomerName;
    }
    /**
     * Set CustomerName value
     * @param string $customerName
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setCustomerName($customerName = null)
    {
        $this->CustomerName = $customerName;
        return $this;
    }
    /**
     * Get GuestName value
     * @return string|null
     */
    public function getGuestName()
    {
        return $this->GuestName;
    }
    /**
     * Set GuestName value
     * @param string $guestName
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setGuestName($guestName = null)
    {
        $this->GuestName = $guestName;
        return $this;
    }
    /**
     * Get HotelName value
     * @return string|null
     */
    public function getHotelName()
    {
        return $this->HotelName;
    }
    /**
     * Set HotelName value
     * @param string $hotelName
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setHotelName($hotelName = null)
    {
        $this->HotelName = $hotelName;
        return $this;
    }
    /**
     * Get RegionName value
     * @return string|null
     */
    public function getRegionName()
    {
        return $this->RegionName;
    }
    /**
     * Set RegionName value
     * @param string $regionName
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setRegionName($regionName = null)
    {
        $this->RegionName = $regionName;
        return $this;
    }
    /**
     * Get Supplier value
     * @return string|null
     */
    public function getSupplier()
    {
        return $this->Supplier;
    }
    /**
     * Set Supplier value
     * @param string $supplier
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setSupplier($supplier = null)
    {
        $this->Supplier = $supplier;
        return $this;
    }
    /**
     * Get SupplierBookingRef value
     * @return string|null
     */
    public function getSupplierBookingRef()
    {
        return $this->SupplierBookingRef;
    }
    /**
     * Set SupplierBookingRef value
     * @param string $supplierBookingRef
     * @return \Stuba\StructType\QueryParamsElement
     */
    public function setSupplierBookingRef($supplierBookingRef = null)
    {
        $this->SupplierBookingRef = $supplierBookingRef;
        return $this;
    }
}
