<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SupplierErrorsElement StructType
 * @subpackage Structs
 */
class SupplierErrorsElement extends AbstractStructBase
{
    /**
     * The Supplier
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $Supplier;
    /**
     * Constructor method for SupplierErrorsElement
     * @uses SupplierErrorsElement::setSupplier()
     * @param string[] $supplier
     */
    public function __construct(array $supplier = array())
    {
        $this
            ->setSupplier($supplier);
    }
    /**
     * Get Supplier value
     * @return string[]|null
     */
    public function getSupplier()
    {
        return $this->Supplier;
    }
    /**
     * Set Supplier value
     * @param string[] $supplier
     * @return \Stuba\StructType\SupplierErrorsElement
     */
    public function setSupplier(array $supplier = array())
    {
        $this->Supplier = $supplier;
        return $this;
    }
    /**
     * Add item to Supplier value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \Stuba\StructType\SupplierErrorsElement
     */
    public function addToSupplier($item)
    {
        $this->Supplier[] = $item;
        return $this;
    }
}
