<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferEndPointSearch StructType
 * @subpackage Structs
 */
class TransferEndPointSearch extends AbstractStructBase
{
    /**
     * The xiRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\TransferEndPointSearch
     */
    public $xiRequest;
    /**
     * The Authority
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\AuthorityElement
     */
    public $Authority;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $Id;
    /**
     * The RegionId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $RegionId;
    /**
     * The PickupPointId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $PickupPointId;
    /**
     * The DestinationPointId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $DestinationPointId;
    /**
     * The Supplier
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Supplier;
    /**
     * Constructor method for TransferEndPointSearch
     * @uses TransferEndPointSearch::setXiRequest()
     * @uses TransferEndPointSearch::setAuthority()
     * @uses TransferEndPointSearch::setId()
     * @uses TransferEndPointSearch::setRegionId()
     * @uses TransferEndPointSearch::setPickupPointId()
     * @uses TransferEndPointSearch::setDestinationPointId()
     * @uses TransferEndPointSearch::setSupplier()
     * @param \Stuba\StructType\TransferEndPointSearch $xiRequest
     * @param \Stuba\StructType\AuthorityElement $authority
     * @param int $id
     * @param int $regionId
     * @param int $pickupPointId
     * @param int $destinationPointId
     * @param string $supplier
     */
    public function __construct(\Stuba\StructType\TransferEndPointSearch $xiRequest = null, \Stuba\StructType\AuthorityElement $authority = null, $id = null, $regionId = null, $pickupPointId = null, $destinationPointId = null, $supplier = null)
    {
        $this
            ->setXiRequest($xiRequest)
            ->setAuthority($authority)
            ->setId($id)
            ->setRegionId($regionId)
            ->setPickupPointId($pickupPointId)
            ->setDestinationPointId($destinationPointId)
            ->setSupplier($supplier);
    }
    /**
     * Get xiRequest value
     * @return \Stuba\StructType\TransferEndPointSearch|null
     */
    public function getXiRequest()
    {
        return $this->xiRequest;
    }
    /**
     * Set xiRequest value
     * @param \Stuba\StructType\TransferEndPointSearch $xiRequest
     * @return \Stuba\StructType\TransferEndPointSearch
     */
    public function setXiRequest(\Stuba\StructType\TransferEndPointSearch $xiRequest = null)
    {
        $this->xiRequest = $xiRequest;
        return $this;
    }
    /**
     * Get Authority value
     * @return \Stuba\StructType\AuthorityElement|null
     */
    public function getAuthority()
    {
        return $this->Authority;
    }
    /**
     * Set Authority value
     * @param \Stuba\StructType\AuthorityElement $authority
     * @return \Stuba\StructType\TransferEndPointSearch
     */
    public function setAuthority(\Stuba\StructType\AuthorityElement $authority = null)
    {
        $this->Authority = $authority;
        return $this;
    }
    /**
     * Get Id value
     * @return int|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \Stuba\StructType\TransferEndPointSearch
     */
    public function setId($id = null)
    {
        $this->Id = $id;
        return $this;
    }
    /**
     * Get RegionId value
     * @return int|null
     */
    public function getRegionId()
    {
        return $this->RegionId;
    }
    /**
     * Set RegionId value
     * @param int $regionId
     * @return \Stuba\StructType\TransferEndPointSearch
     */
    public function setRegionId($regionId = null)
    {
        $this->RegionId = $regionId;
        return $this;
    }
    /**
     * Get PickupPointId value
     * @return int|null
     */
    public function getPickupPointId()
    {
        return $this->PickupPointId;
    }
    /**
     * Set PickupPointId value
     * @param int $pickupPointId
     * @return \Stuba\StructType\TransferEndPointSearch
     */
    public function setPickupPointId($pickupPointId = null)
    {
        $this->PickupPointId = $pickupPointId;
        return $this;
    }
    /**
     * Get DestinationPointId value
     * @return int|null
     */
    public function getDestinationPointId()
    {
        return $this->DestinationPointId;
    }
    /**
     * Set DestinationPointId value
     * @param int $destinationPointId
     * @return \Stuba\StructType\TransferEndPointSearch
     */
    public function setDestinationPointId($destinationPointId = null)
    {
        $this->DestinationPointId = $destinationPointId;
        return $this;
    }
    /**
     * Get Supplier value
     * @return string|null
     */
    public function getSupplier()
    {
        return $this->Supplier;
    }
    /**
     * Set Supplier value
     * @param string $supplier
     * @return \Stuba\StructType\TransferEndPointSearch
     */
    public function setSupplier($supplier = null)
    {
        $this->Supplier = $supplier;
        return $this;
    }
}
