<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferRouteSearch StructType
 * @subpackage Structs
 */
class TransferRouteSearch extends AbstractStructBase
{
    /**
     * The MustSupportSingle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $MustSupportSingle;
    /**
     * The MustSupportReturn
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $MustSupportReturn;
    /**
     * The xiRequest
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\TransferRouteSearch
     */
    public $xiRequest;
    /**
     * The Authority
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Stuba\StructType\AuthorityElement
     */
    public $Authority;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $Id;
    /**
     * The PickupPointId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $PickupPointId;
    /**
     * The DestinationPointId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $DestinationPointId;
    /**
     * The PickupRegionId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $PickupRegionId;
    /**
     * The DestinationRegionId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $DestinationRegionId;
    /**
     * The Supplier
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Supplier;
    /**
     * Constructor method for TransferRouteSearch
     * @uses TransferRouteSearch::setMustSupportSingle()
     * @uses TransferRouteSearch::setMustSupportReturn()
     * @uses TransferRouteSearch::setXiRequest()
     * @uses TransferRouteSearch::setAuthority()
     * @uses TransferRouteSearch::setId()
     * @uses TransferRouteSearch::setPickupPointId()
     * @uses TransferRouteSearch::setDestinationPointId()
     * @uses TransferRouteSearch::setPickupRegionId()
     * @uses TransferRouteSearch::setDestinationRegionId()
     * @uses TransferRouteSearch::setSupplier()
     * @param bool $mustSupportSingle
     * @param bool $mustSupportReturn
     * @param \Stuba\StructType\TransferRouteSearch $xiRequest
     * @param \Stuba\StructType\AuthorityElement $authority
     * @param int $id
     * @param int $pickupPointId
     * @param int $destinationPointId
     * @param int $pickupRegionId
     * @param int $destinationRegionId
     * @param string $supplier
     */
    public function __construct($mustSupportSingle = null, $mustSupportReturn = null, \Stuba\StructType\TransferRouteSearch $xiRequest = null, \Stuba\StructType\AuthorityElement $authority = null, $id = null, $pickupPointId = null, $destinationPointId = null, $pickupRegionId = null, $destinationRegionId = null, $supplier = null)
    {
        $this
            ->setMustSupportSingle($mustSupportSingle)
            ->setMustSupportReturn($mustSupportReturn)
            ->setXiRequest($xiRequest)
            ->setAuthority($authority)
            ->setId($id)
            ->setPickupPointId($pickupPointId)
            ->setDestinationPointId($destinationPointId)
            ->setPickupRegionId($pickupRegionId)
            ->setDestinationRegionId($destinationRegionId)
            ->setSupplier($supplier);
    }
    /**
     * Get MustSupportSingle value
     * @return bool
     */
    public function getMustSupportSingle()
    {
        return $this->MustSupportSingle;
    }
    /**
     * Set MustSupportSingle value
     * @param bool $mustSupportSingle
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setMustSupportSingle($mustSupportSingle = null)
    {
        $this->MustSupportSingle = $mustSupportSingle;
        return $this;
    }
    /**
     * Get MustSupportReturn value
     * @return bool
     */
    public function getMustSupportReturn()
    {
        return $this->MustSupportReturn;
    }
    /**
     * Set MustSupportReturn value
     * @param bool $mustSupportReturn
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setMustSupportReturn($mustSupportReturn = null)
    {
        $this->MustSupportReturn = $mustSupportReturn;
        return $this;
    }
    /**
     * Get xiRequest value
     * @return \Stuba\StructType\TransferRouteSearch|null
     */
    public function getXiRequest()
    {
        return $this->xiRequest;
    }
    /**
     * Set xiRequest value
     * @param \Stuba\StructType\TransferRouteSearch $xiRequest
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setXiRequest(\Stuba\StructType\TransferRouteSearch $xiRequest = null)
    {
        $this->xiRequest = $xiRequest;
        return $this;
    }
    /**
     * Get Authority value
     * @return \Stuba\StructType\AuthorityElement|null
     */
    public function getAuthority()
    {
        return $this->Authority;
    }
    /**
     * Set Authority value
     * @param \Stuba\StructType\AuthorityElement $authority
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setAuthority(\Stuba\StructType\AuthorityElement $authority = null)
    {
        $this->Authority = $authority;
        return $this;
    }
    /**
     * Get Id value
     * @return int|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param int $id
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setId($id = null)
    {
        $this->Id = $id;
        return $this;
    }
    /**
     * Get PickupPointId value
     * @return int|null
     */
    public function getPickupPointId()
    {
        return $this->PickupPointId;
    }
    /**
     * Set PickupPointId value
     * @param int $pickupPointId
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setPickupPointId($pickupPointId = null)
    {
        $this->PickupPointId = $pickupPointId;
        return $this;
    }
    /**
     * Get DestinationPointId value
     * @return int|null
     */
    public function getDestinationPointId()
    {
        return $this->DestinationPointId;
    }
    /**
     * Set DestinationPointId value
     * @param int $destinationPointId
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setDestinationPointId($destinationPointId = null)
    {
        $this->DestinationPointId = $destinationPointId;
        return $this;
    }
    /**
     * Get PickupRegionId value
     * @return int|null
     */
    public function getPickupRegionId()
    {
        return $this->PickupRegionId;
    }
    /**
     * Set PickupRegionId value
     * @param int $pickupRegionId
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setPickupRegionId($pickupRegionId = null)
    {
        $this->PickupRegionId = $pickupRegionId;
        return $this;
    }
    /**
     * Get DestinationRegionId value
     * @return int|null
     */
    public function getDestinationRegionId()
    {
        return $this->DestinationRegionId;
    }
    /**
     * Set DestinationRegionId value
     * @param int $destinationRegionId
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setDestinationRegionId($destinationRegionId = null)
    {
        $this->DestinationRegionId = $destinationRegionId;
        return $this;
    }
    /**
     * Get Supplier value
     * @return string|null
     */
    public function getSupplier()
    {
        return $this->Supplier;
    }
    /**
     * Set Supplier value
     * @param string $supplier
     * @return \Stuba\StructType\TransferRouteSearch
     */
    public function setSupplier($supplier = null)
    {
        $this->Supplier = $supplier;
        return $this;
    }
}
