<?php

namespace Stuba\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferRouteSearchResult StructType
 * @subpackage Structs
 */
class TransferRouteSearchResult extends AbstractStructBase
{
    /**
     * The TransferRoute
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Stuba\StructType\TransferRouteElement[]
     */
    public $TransferRoute;
    /**
     * Constructor method for TransferRouteSearchResult
     * @uses TransferRouteSearchResult::setTransferRoute()
     * @param \Stuba\StructType\TransferRouteElement[] $transferRoute
     */
    public function __construct(array $transferRoute = array())
    {
        $this
            ->setTransferRoute($transferRoute);
    }
    /**
     * Get TransferRoute value
     * @return \Stuba\StructType\TransferRouteElement[]|null
     */
    public function getTransferRoute()
    {
        return $this->TransferRoute;
    }
    /**
     * Set TransferRoute value
     * @param \Stuba\StructType\TransferRouteElement[] $transferRoute
     * @return \Stuba\StructType\TransferRouteSearchResult
     */
    public function setTransferRoute(array $transferRoute = array())
    {
        $this->TransferRoute = $transferRoute;
        return $this;
    }
    /**
     * Add item to TransferRoute value
     * @throws \InvalidArgumentException
     * @param \Stuba\StructType\TransferRouteElement $item
     * @return \Stuba\StructType\TransferRouteSearchResult
     */
    public function addToTransferRoute(\Stuba\StructType\TransferRouteElement $item)
    {
        $this->TransferRoute[] = $item;
        return $this;
    }
}
